import { Payment } from "../lib/models.js";
import { API } from "../lib/api.js";

export const get = async (req, res) => {
  const api = new API(req, res);
  const { product_id } = req.query;

  // the user should be authenticated already, so this
  // will confirm either that the person bought this
  // specific product, or bought any product when product_id=undefined
  const paid = await Payment.paid(api.user, product_id);
  console.log("REQ URL", req.url, "QUERY", req.query, "PAID", paid);

  if(!paid) {
    api.error(402, "Payment required to access this course.");
  } else {
    res.status(200).send();
  }
}

get.authenticated = true;
